/*
 * @Author: XianKaiQun
 * @Date: 2020-07-30 08:55:23
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-10 16:26:39
 * @Description: 
 */
import 'package:app_package/app_package.dart';
import 'package:qrcode_package/src/models/clean_security_list.dart';
import 'package:qrcode_package/src/models/qrcode_detail.dart';
import 'package:qrcode_package/src/models/security_record.dart';
import 'package:qrcode_package/src/models/security_template.dart';

abstract class SecurityService {
  ///根据二维码获取详情
  Future<ResModel<QrcodeDetailModel>> getQrcodeDetail(String id);

  ///设备状态枚举
  Future<ResModel<List<Map>?>> getEquipmentStatusEnum();

  ///二维码类型枚举
  Future<ResModel<List<Map>?>> getQrcodetypeEnum();

  ///根据二维码查询保洁模板
  Future<ResModel<SecurityTemplateModel>> getSecurityTemplate(data);

  ///获取保洁记录列表
  Future<ResModel<PagingModel<CleanSecurityListModel>>> getSecurityList(data);

  ///获取保洁记录详情
  Future<ResModel<SecurityRecordModel>> getSecurityDetail(String id);

  ///添加保洁记录
  Future<ResModel<String?>> postSecurityRecord(data);
}
